ECHO(1)

NAME
echo - display a line of text

SYNOPSIS
echo [-ne] [string ...]
echo {--help,--version}

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of echo. Note that most shells have a built-in command by the same name and with similar functionality.

echo writes each given string to the standard output, with a space between them and a newline after the last one.

  OPTIONS

-n  Do not output the trailing newline.

-e  Enable interpretation of the following backslash-escaped characters in the strings:
    \a  alert (bell)
    \b  backspace
    \c  suppress trailing newline
    \f  form feed
    \n  new line
    \r  carriage return
    \t  horizontal tab
    \v  vertical tab
    \\  backslash
    \nnn
        the character whose ASCII code is nnn (octal)

  OPTIONS
When GNU echo is invoked with exactly one argument, the following options are recognized:

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.